--- title: "Download Bulk Read Result" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-store/bulk-read-rows/download-bulk-read-result/ description: "This API enables you to download the result of a successful bulk read job that you initiated previously." last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Download Bulk Read Result ### Description You can execute this API to download the result of a successful [bulk read job](https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-store/bulk-read-rows/download-bulk-read-result/#CreateBulkReadJob) that you initiated. This URL will also be sent in JSON response for the success state. The downloaded CSV result file will contain a list of all the records matching your bulk read job query. > **Note:** The download URL will be valid for **1 day** after its generation. The link will expire after that time period, and you will not be able to obtain the CSV result file containing the job details. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/bulk/read/{job_id}/download - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **job_id** (Numerical): The unique ID of the job that was sent in the initial [in-progress status response](https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-store/bulk-read-rows/create-bulk-read-job/#CreateBulkReadJob) after the Bulk Read API was executed #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.tables.bulk.READ ### Response Details The bulk read result file will be automatically downloaded to the configured directory in your system after you execute this API. **File format:** ZIP file containing the CSV result file Sample result file showing the details of a bulk read job: ![bulk_read](https://catalyst-docs-development.zohostratus.in/images/api/catalyst_api_bulk_read.webp) **Sample Request** ```bash curl -X GET \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/bulk/read/2000000118004/download \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ```